<?xml version="1.0" encoding="UTF-8" ?>
<testsuite errors="1" failures="0" hostname="info22-16" name="IntersectionTest" skipped="0" tests="5" time="2.053" timestamp="2019-04-23T07:07:17">
  <properties>
    <property name="ant.project.invoked-targets" value="test-html" />
    <property name="main.build.dir" value="build/" />
    <property name="java.runtime.name" value="OpenJDK Runtime Environment" />
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64" />
    <property name="java.vm.version" value="25.191-b12" />
    <property name="ant.library.dir" value="/usr/share/ant/lib" />
    <property name="ant.version" value="Apache Ant(TM) version 1.10.3 compiled on July 19 2018" />
    <property name="ant.java.version" value="1.8" />
    <property name="java.vm.vendor" value="Oracle Corporation" />
    <property name="java.vendor.url" value="http://java.oracle.com/" />
    <property name="path.separator" value=":" />
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM" />
    <property name="file.encoding.pkg" value="sun.io" />
    <property name="user.country" value="FR" />
    <property name="sun.java.launcher" value="SUN_STANDARD" />
    <property name="sun.os.patch.level" value="unknown" />
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />
    <property name="user.dir" value="/home/gilles/Documents/S2/Java_POO/dm_java_2" />
    <property name="main.src.dir" value="./src/" />
    <property name="java.runtime.version" value="1.8.0_191-8u191-b12-2ubuntu0.18.04.1-b12" />
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment" />
    <property name="basedir" value="/home/gilles/Documents/S2/Java_POO/dm_java_2" />
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed" />
    <property name="os.arch" value="amd64" />
    <property name="java.io.tmpdir" value="/tmp" />
    <property name="ant.core.lib" value="/usr/share/ant/lib/ant.jar" />
    <property name="line.separator" value="&#xa;" />
    <property name="java.vm.specification.vendor" value="Oracle Corporation" />
    <property name="os.name" value="Linux" />
    <property name="ant.home" value="/usr/share/ant" />
    <property name="test.src.dir" value="tests/" />
    <property name="ant.project.name" value="DM-POO" />
    <property name="sun.jnu.encoding" value="UTF-8" />
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib" />
    <property name="ant.file.type.DM-POO" value="file" />
    <property name="java.class.version" value="52.0" />
    <property name="java.specification.name" value="Java Platform API Specification" />
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers" />
    <property name="os.version" value="4.15.0-45-generic" />
    <property name="ant.file" value="/home/gilles/Documents/S2/Java_POO/dm_java_2/build.xml" />
    <property name="user.home" value="/home/gilles" />
    <property name="user.timezone" value="" />
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" />
    <property name="java.specification.version" value="1.8" />
    <property name="file.encoding" value="UTF-8" />
    <property name="java.class.path" value="/usr/share/java/junit4.jar:/usr/share/java/hamcrest-all.jar:/home/gilles/Documents/S2/Java_POO/dm_java_2/build:/home/gilles/Documents/S2/Java_POO/dm_java_2/build/tests:/home/gilles/Documents/S2/Java_POO/dm_java_2:/usr/share/java/mysql.jar:/usr/share/ant/lib/junit.jar:/usr/share/java/ant-launcher-1.10.3.jar:/usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-junit.jar:/usr/share/ant/lib/ant-junit4.jar" />
    <property name="user.name" value="gilles" />
    <property name="ant.file.DM-POO" value="/home/gilles/Documents/S2/Java_POO/dm_java_2/build.xml" />
    <property name="java.vm.specification.version" value="1.8" />
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre" />
    <property name="sun.java.command" value="org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner IntersectionTest skipNonTests=false filtertrace=true haltOnError=false haltOnFailure=false showoutput=false outputtoformatters=true logfailedtests=true threadid=0 logtestlistenerevents=false formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter,/home/gilles/Documents/S2/Java_POO/dm_java_2/reports/TEST-IntersectionTest.txt formatter=org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter,/home/gilles/Documents/S2/Java_POO/dm_java_2/reports/TEST-IntersectionTest.xml crashfile=/home/gilles/Documents/S2/Java_POO/dm_java_2/junitvmwatcher4131484412374720799.properties propsfile=/home/gilles/Documents/S2/Java_POO/dm_java_2/junit7805958182038252623.properties" />
    <property name="sun.arch.data.model" value="64" />
    <property name="java.specification.vendor" value="Oracle Corporation" />
    <property name="user.language" value="fr" />
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit" />
    <property name="java.vm.info" value="mixed mode" />
    <property name="java.version" value="1.8.0_191" />
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext" />
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes" />
    <property name="java.vendor" value="Oracle Corporation" />
    <property name="file.separator" value="/" />
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/" />
    <property name="sun.cpu.endian" value="little" />
    <property name="sun.io.unicode.encoding" value="UnicodeLittle" />
    <property name="test.reports.dir" value="reports/" />
    <property name="test.build.dir" value="build/tests" />
    <property name="ant.file.type" value="file" />
    <property name="sun.cpu.isalist" value="" />
  </properties>
  <testcase classname="IntersectionTest" name="intersectionExemple" time="0.003" />
  <testcase classname="IntersectionTest" name="intersectionVideRenvoieVide" time="0.0" />
  <testcase classname="IntersectionTest" name="intersectionDoitEtreEnTempsLineaire" time="2.004">
    <error message="test timed out after 2000 milliseconds" type="org.junit.runners.model.TestTimedOutException">org.junit.runners.model.TestTimedOutException: test timed out after 2000 milliseconds
	at BibDM.intersection(Unknown Source)
	at IntersectionTest.intersectionDoitEtreEnTempsLineaire(Unknown Source)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.lang.Thread.run(Thread.java:748)
</error>
  </testcase>
  <testcase classname="IntersectionTest" name="interesectionDeuxListesEgalesRenvoieListe" time="0.0" />
  <testcase classname="IntersectionTest" name="initersectionListeAvecDuplicatsRenvoieListeSansDuplicats" time="0.001" />
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
